Page MenuHomePhabricator

Please add <*.bnf.fr> to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, ResolvedPublic

Description

Please add <*.bnf.fr> to the whitelisted domains. This is the site of the National Library of France. Thanks, Yann

There are http:// and ftp:// sources, e.g. http://gallica.bnf.fr/proxy?method=R&ark=btv1b90017001.f2&l=6&r=0,0,2048,2048 or ftp://ftp.bnf.fr/5500/N55000819_PDF_1_-1DM.pdf

Event Timeline

Yann created this task.Jan 13 2015, 8:12 PM
Yann raised the priority of this task from to Needs Triage.
Yann updated the task description. (Show Details)
Yann updated the task description. (Show Details)
Yann set Security to None.
Yann added a subscriber: Yann.
Yann updated the task description. (Show Details)Jan 13 2015, 8:17 PM

Does this need to be discussed somewhere, e.g. on commons?

Does this need to be discussed somewhere, e.g. on commons?

not always.

Change 184872 had a related patch set uploaded (by Dan-nl):
Add *.bnf.fr to the wgCopyUploadsDomains whitelist

https://gerrit.wikimedia.org/r/184872

Patch-For-Review

Steinsplitter triaged this task as Normal priority.

Does this need to be discussed somewhere, e.g. on commons?

not always.

while everything seems legit, i really don’t know for sure. i think it would be better to create a more formal process for approving these whitelist adds.

for example, many of the domains we’ve added to wgCopyUploadsDomains are *.domain.name, which opens up any subdomain. it’s easy to add that domain to the list, but as one committing this patch:

  • what is my role in insuring that this domain is legit?
  • i have browsed thru the site and haven’t seen anything odd, but that’s not an “authoritative” vetting process

i would feel more comfortable adding the commit and allowing the community to make the final approval on whether or not to merge the commit.

i would feel more comfortable adding the commit and allowing the community to make the final approval on whether or not to merge the commit.

I see no problem with adding such domains. It is possible to upload files in batch using upload.py , so why it shouldn't be a big problem using GWT.. Please remember that GWT users are approved by commons bureaucrats, I see no need to bureaucratized the whitelist process.

Yann added a comment.Jan 15 2015, 1:57 PM

Could you please also add *.archive.org ?

In T86699#979439, @Yann wrote:

Could you please also add *.archive.org ?

In the future, please use separate tasks for requesting to whitelist other domains. I personally don't think it's a good idea to whitelist that because it would allow to upload images from millions of websites, defeating the purpose of wgCopyUploadsDomains whitelist.

fyi: just added @hashar to the gerrit patch. hopefully he or @Reedy can get to it soon.

@Yann,
i’ll leave it to the community to decide on *.archive.org. please open a new task if you want to add that domain to the whitelist.

In T86699#979439, @Yann wrote:

Could you please also add *.archive.org ?

In the future, please use separate tasks for requesting to whitelist other domains. I personally don't think it's a good idea to whitelist that because it would allow to upload images from millions of websites, defeating the purpose of wgCopyUploadsDomains whitelist.

That depends on the purpose of the whitelist. One of the purposes was allegedly to prevent connecting to malicious servers, in which case whitelisting archive.org would not defeat that purpose.

Change 184872 merged by jenkins-bot:
Add *.bnf.fr to the wgCopyUploadsDomains whitelist

https://gerrit.wikimedia.org/r/184872

Glaisher closed this task as Resolved.Jan 24 2015, 5:27 AM
Yann reopened this task as Open.Feb 1 2015, 1:57 AM

Hi, It works for http:// and JPEG files, but not for ftp:// + PDF files. Could you please allow that? Thanks, Yann

Hi, It works for http:// and JPEG files, but not for ftp:// + PDF files. Could you please allow that? Thanks, Yann

ftp:// protocol is not supported.

Steinsplitter closed this task as Resolved.Feb 1 2015, 8:37 AM
Yann added a comment.Feb 1 2015, 9:50 AM

Hi, I understand that ftp:// is not supported now. Could it be added? Should I open another request? Thanks, Yann

Hi, I understand that ftp:// is not supported now. Could it be added? Should I open another request? Thanks, Yann

It is not possible to add ftp to wgCopyUploadsDomains. The protocol is not supported and will not be supported in the next time for what i know (can't find the related bugreport)

Reedy added a comment.EditedFeb 1 2015, 12:02 PM

Hi, I understand that ftp:// is not supported now. Could it be added? Should I open another request? Thanks, Yann

It is not possible to add ftp to wgCopyUploadsDomains. The protocol is not supported and will not be supported in the next time for what i know (can't find the related bugreport)

Technically, there's probably no reason why it couldn't be added - a task could be added requesting this functionality (if one doesn't already exist).

However, even if it is actually coded and supported inside MediaWiki, this is not to say that Wikimedia operations will want to punch holes to arbitrary FTP servers to allow the functionality to actually do anything on WMF servers.

If this is desperately needed, it might be quicker to get the server admins of bnf.fr to allow HTTP access to ftp.bnf.fr - a lot of sites seem to end up allowing access on either protocol to their "ftp servers"

Yann added a comment.Feb 1 2015, 2:54 PM

Asking the BNF to change its web site? Forget it! They usually do not even answer to simple questions...